Mise-à-jour du blogue

Encore une fois, le site a subi une mise-à-jour. Je la jugais nécessaire puisque WordPress est passé en version 2.1. Mais qui dit mise-à-jour dit problèmes. Bien que peu nombreux, ceux-ci ont été engendrés par des plugiciels mal programmés. J’ai vu que Kates Gasis avait modifié Sideblog afin qu’il puisse fonctionner avec WordPress 2.1. De plus, il fait ce que je veux. J’ai donc laissé tombé ma modification de Sideblog pour opter pour la sienne. J’avoue avoir utilisé l’API qui semble maintenant obselète et apprendre la nouvelle API n’est ni dans mes priorités, ni dans mes goûts. Je commence a perdre patience et espoir devant WordPress, mais ça, c’est une histoire pour un autre billet.

J’ai aussi ajouté un plugiciel permettant de syncroniser les utilisateurs du forum et ceux du blogue. Si jamais celui-ci fait bien son travail, les utilisateurs du forum peuvent se connecter au blogue afin de publier des commentaires. Moins de travail pour moi et pour Akismet puisque nous n’avons pas à approuver ces commentaires-là. Si certains se sentent d’attaque, allez tester ! Je suis administrateur sur les deux et je ne compte pas ouvrir un compte bidon “pour voir si”.

Un autre problème que j’ai eu concernait le plugiciel de Zak Greant : CatCloud. Ce dernier sert à générer un “nuage” avec les catégories. Celles contenant le plus de billets étant affichées en caractères plus gros. Le problème résidait avec, lui aussi, l’API maintenant obselète. L’affichage des catégories ne se faisaient plus et on en voyait même les problèmes jusqu’à dans la zone d’administration. Heureusement, j’ai pu rectifier le problème puisqu’il n’était pas si difficile à régler et que je voulais mon nuage ! Ceci dit, j’ai finalement commencé l’intégration des fonctionnalités de mon plugiciel semblabe avec celui de Zak. Je lui avais promis il y a plus d’un an je crois. Donc je commence et j’effectue même un travail qu’il s’était donné : clarifier et mieux structurer le code. Plus de nouvelles à ce sujet bientôt.

Si vous constatez quelqu’autres problèmes que ce soit, prévenez-moi. C’est fort probablement dû à des plugiciels n’étant pas adaptés à cette nouvelle version.

  • Je peut voir que c’est Perssonelle qui est le plus à la mode 😛

    perso mon blog est encore sous 2.0.4, j’ai pas trop envis de le mettre à jour, la derniere fois ça a été un bordel tout refaire fonctionner… 🙁 m’a attendre que mon hébergeur m’offre le update automatique…